

For some reason halfmd4 isn't being linked into the kernel any more and
modular ext3 wants it.

So statically link the halfmd4 code into the kernel.


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 lib/Makefile |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN lib/Makefile~fortuna-random-driver-fix lib/Makefile
--- 25/lib/Makefile~fortuna-random-driver-fix	2005-04-28 18:06:13.717490232 -0700
+++ 25-akpm/lib/Makefile	2005-04-28 18:06:43.998886760 -0700
@@ -5,11 +5,11 @@
 lib-y := errno.o ctype.o string.o vsprintf.o cmdline.o \
 	 bust_spinlocks.o rbtree.o radix-tree.o dump_stack.o \
 	 idr.o div64.o int_sqrt.o bitmap.o extable.o prio_tree.o \
-	 sha1.o halfmd4.o
+	 sha1.o
 
 lib-y	+= kobject.o kref.o kobject_uevent.o klist.o
 
-obj-y += sort.o parser.o
+obj-y += sort.o parser.o halfmd4.o
 
 ifeq ($(CONFIG_DEBUG_KOBJECT),y)
 CFLAGS_kobject.o += -DDEBUG
_
